'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

import _JSXStyle from 'styled-jsx/style';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _omit = require('lodash/omit');

var _omit2 = _interopRequireDefault(_omit);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TextArea = function (_React$PureComponent) {
  _inherits(TextArea, _React$PureComponent);

  function TextArea() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, TextArea);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = TextArea.__proto__ || Object.getPrototypeOf(TextArea)).call.apply(_ref, [this].concat(args))), _this), _this.click = function () {
      return _this.props.clickIcon ? _this.props.clickIcon() : null;
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(TextArea, [{
    key: 'render',
    value: function render() {
      var props = (0, _omit2.default)(this.props, ['icon', 'clickIcon']);

      return _react2.default.createElement(
        'span',
        { className: 'holder', 'data-jsx': 2905724278
        },
        _react2.default.createElement('textarea', _extends({}, props, {
          'data-jsx': 2905724278
        })),
        this.props.icon && _react2.default.createElement(
          'span',
          { className: 'icon', onClick: this.click, 'data-jsx': 2905724278
          },
          this.props.icon
        ),
        _react2.default.createElement(_JSXStyle, {
          styleId: 2905724278,
          css: '.holder[data-jsx="2905724278"]{position:relative;display:inline-table;width:100%}.holder[data-jsx="2905724278"] *[data-jsx="2905724278"]{box-sizing:border-box}.icon[data-jsx="2905724278"]{position:absolute;right:10px;top:10px;height:22px;width:22px}textarea[data-jsx="2905724278"]{background-color:rgb(246,246,246);color:rgb(186,186,186);border-radius:12px;padding:10px 15px;box-shadow:1px 2px 1px rgb(206,206,206) inset;font-size:14px;outline:none;border:none;border:2px solid transparent;width:100%;display:inline-block}[data-jsx="2905724278"]:focus{color:rgb(186,186,186);box-shadow:none;border:2px solid rgb(243,214,97);background-color:rgb(255,251,234);-webkit-transition:all 0.55s;transition:all 0.55s}[data-jsx="2905724278"]::-webkit-input-placeholder{color:rgb(184,184,184)}[data-jsx="2905724278"]::-moz-placeholder{color:rgb(184,184,184)}[data-jsx="2905724278"]:-ms-input-placeholder{color:rgb(184,184,184)}[data-jsx="2905724278"]:-moz-placeholder{color:rgb(184,184,184)}'
        })
      );
    }
  }]);

  return TextArea;
}(_react2.default.PureComponent);

TextArea.defaultProps = {
  icon: null,
  clickIcon: null
};

TextArea.propTypes = {
  icon: _propTypes2.default.node,
  clickIcon: _propTypes2.default.func
};

exports.default = TextArea;